#Maze Level
#Script by EdT, with help from Script_10K

func void main (void) {

	env_show 2010 0
	gl_fog_blue=.15
	gl_fog_red=.15
	gl_fog_green=.15
	gl_fog_start=.99
	gs_farclipplane_set 5000
		
		
		ui_suppress_prompt = 1
		#chr_invincible 0 1
		#gs_show_environment= 0
		#gs_show_ui = 0
		target_set(0, 15.0)
		
		
		if (save_point eq 0){
		sleep 5
		chr_location 0 -914 0 995
		chr_facetoflag 0 11
		chr_givepowerup 0 hypo 3
		dmsg "Find the cheese at the center of the maze."
		dmsg "There will be enemies along the way..."
		sleep 60
		}
		
		
		#ai2_ignore_player = 1
		#ai2_allpassive 1
		#ai2_showcombatranges = 1
		
		
		
		ai2_spawn comguy
		chr_teleport comguy 4
		chr_facetoflag comguy 4
		
		ai2_spawn beigestriker
		chr_teleport beigestriker 5
		chr_facetoflag beigestriker 5
		
		ai2_spawn blueelite
		chr_teleport blueelite 6 
		chr_facetoflag blueelite 6
		
		ai2_spawn bgi_3
		chr_teleport bgi_3 7
		chr_facetoflag bgi_3 7
		
		ai2_spawn redfury
		chr_teleport redfury 8
		chr_facetoflag redfury 8
		
		ai2_spawn thug
		chr_teleport thug 9
		chr_facetoflag thug 9
		
		ai2_spawn bgi_2
		chr_teleport bgi_2 10
		chr_facetoflag bgi_2 10
		
		ai2_spawn bgi_elite
		chr_teleport bgi_elite 11
		chr_facetoflag bgi_elite 11
		
		ai2_spawn bgi_striker
		chr_teleport bgi_striker 12
		chr_facetoflag bgi_striker 12
		
		ai2_spawn bluefury
		chr_teleport bluefury 13
		chr_facetoflag bluefury 13
		
		ai2_spawn redninja
		chr_teleport redninja 14
		chr_facetoflag redninja 14
		
		ai2_spawn blueninja
		chr_teleport blueninja 15
		chr_facetoflag blueninja 15
		
		ai2_spawn beigeelite
		chr_teleport beigeelite 16
		chr_facetoflag beigeelite 16
		
		ai2_spawn bluetanker
		chr_teleport bluetanker 17
		chr_facetoflag bluetanker 17
		
		ai2_spawn bgi_tanker
		chr_teleport bgi_tanker 18
		chr_facetoflag bgi_tanker 18
		
		ai2_spawn redstriker
		chr_teleport redstriker 19
		chr_facetoflag redstriker 19
		
		ai2_spawn bgi_thug
		chr_teleport bgi_thug 20
		chr_facetoflag bgi_thug 20
		
		ai2_spawn redtanker
		chr_teleport redtanker 21
		chr_facetoflag redtanker 21
		
		ai2_spawn beigefury
		chr_teleport beigefury 22
		chr_facetoflag beigefury 22
		
		ai2_spawn redelite
		chr_teleport redelite 23
		chr_facetoflag redelite 23
		
		ai2_spawn beigeninja
		chr_teleport beigeninja 24
		chr_facetoflag beigeninja 24
		
		ai2_spawn bgi_recep
		chr_teleport bgi_recep 25
		chr_facetoflag bgi_recep 25
		
		ai2_spawn bgi_1
		chr_teleport bgi_1 26
		chr_facetoflag bgi_1 26
		
		ai2_spawn bgi_2
		chr_teleport bgi_2 27
		chr_facetoflag bgi_2 27
		
			
		if (save_point eq 1){
		restore_game
		dmsg "Save point 1 Loaded"
		}
		
		if (save_point eq 2){
		restore_game
		dmsg "Save point 2 Loaded" 
		}
		
		if (save_point eq 3){
		restore_game
		dmsg "Save point 3 Loaded"
		}
		
		if (save_point eq 4){
		restore_game
		dmsg "Save point 4 Loaded"
		}
		
}
		
	
	func void save_point_1(string player_name)
{
	if (save_point ne 1)
		{
		dmsg "Save point 1" 
		save_game 1 autosave
		}
}

	
	func void save_point_2(string player_name)
{
	if (save_point ne 2)
		{
		dmsg "Save point 2" 
		save_game 2 autosave
		}
}

	func void save_point_3(string player_name)
{
	if (save_point ne 3)
		{
		dmsg "Save point 3" 
		save_game 3 autosave
		}
}


func void cheese(string char_index)
{
	dmsg "You are the top rat of the maze." 
	dmsg "Enjoy the cheese."
	
	}
	
func void battle(string char_index)
{		

		if (save_point ne 4)
		{
		dmsg "Save point 4 " 
		dmsg " "
		save_game 4 autosave
		}
		
		sleep 10
		dmsg "You have to defeat Muro before you can jump on the cheese."
		sleep 60

		ai2_spawn bgi_fury
		chr_teleport bgi_fury 3
		chr_animate bgi_fury KONCOMsuper_kick
		chr_facetoflag bgi_fury 3
		sleep 60

		ai2_spawn bgi_ninja
		chr_teleport bgi_ninja 2
		chr_animate bgi_ninja KONCOMsuper_kick
		chr_facetoflag bgi_ninja 2
		sleep 60
		
		ai2_spawn mukade
		chr_teleport mukade 1
		chr_animate mukade KONCOMsuper_kick
		chr_facetoflag mukade 1
		sleep 60

		ai2_spawn muro
		chr_teleport muro 0
		chr_animate muro KONCOMsuper_kick
		chr_facetoflag muro 0
		sleep 60	
		
		chr_wait_health muro 1
		dmsg "Now jump on the cheese."
		trigvolume_enable cheese 1 entry
		

	}
	
